%define anolis_release 1
Name:               conntrack-tools
Version:            1.4.8
Release:            %{anolis_release}%{?dist}
Summary:            Netfilter's connection tracking userspace tools
License:            GPL-2.0-only
URL:                http://conntrack-tools.netfilter.org/
Source0:            http://netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.xz
Source1:            http://netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.xz.sig
Source2:            NetfilterCoreTeam-OpenGPG-KEY.txt
Source3:            conntrackd.service
Source4:            conntrackd.conf

# https://git.netfilter.org/conntrack-tools/commit/?id=58a5b32b2d5c7b6b755121930b6752e6c714f24f
Patch0001:          0001-conntrack-ct-label-update-requires-proper-ruleset.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=e77aa7413d7feb315f9d388f595553af79a56d9d
Patch0002:          0002-conntrack-don-t-print-USERSPACE-information-in-case-.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=3fae13ae9e36105d73ba012ea438366a8126e4f5
Patch0003:          0003-conntrackd-prevent-memory-loss-if-reallocation-fails.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=805a355fbc85aea237b940518ac806362aa4ecec
Patch0004:          0004-conntrackd-exit-with-failure-status.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=7372179b9879d8893dcc2a3a8b0555655caade37
Patch0005:          0005-conntrackd-Fix-signal-handler-race-condition.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=5b61acb75b74725d7914b24568023f670ddeff62
Patch0006:          0006-conntrackd-helpers-rpc-Don-t-add-expectation-table-e.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=8a251ddc8c9da5b04e95eaba23cde6ab6576b7ca
Patch0007:          0007-conntrack-tcp-fix-parsing-of-tuple-port-src-and-tupl.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=33f030f7d4e64d3ee20f76330c50e02e9c92932c
Patch0008:          0008-conntrack-L-doesn-t-take-a-value-so-don-t-discard-on.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=3d79708c99d95bfaaad70c7b1efe5c36e85196f4
Patch0009:          0009-tests-conntrack-missing-space-before-option.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=bd20d768ce9a1433182ac523ab2b6c18bb9a1649
Patch0010:          0010-conntrack-improve-secmark-id-zone-parser.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=401d91326bc9c3a5bab2fd319acdc844f511bb7e
Patch0011:          0011-conntrack-improve-mark-parser.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=4220bd83187b6deac7a93d6775aa5e4423b8e2e5
Patch0012:          0012-conntrack-Fix-for-ENOENT-in-mnl_nfct_delete_cb.patch
# https://git.netfilter.org/conntrack-tools/commit/?id=7ab577898f83105e3aa38ac96f3ac70c91ecb2ac
Patch0013:          0013-src-Eliminate-warnings-with-Wcalloc-transposed-args.patch

BuildRequires:      gcc make autoconf automake
BuildRequires:      systemd bison flex
BuildRequires:      libtool
BuildRequires:      gnupg2
BuildRequires:      pkgconfig(libmnl) >= 1.0.3 pkgconfig(libnetfilter_conntrack) >= 1.0.9
BuildRequires:      pkgconfig(libnetfilter_cthelper) >= 1.0.0 pkgconfig(libnetfilter_cttimeout) >= 1.0.0
BuildRequires:      pkgconfig(libnetfilter_queue) >= 1.0.2 pkgconfig(libnfnetlink) >= 1.0.1
BuildRequires:      pkgconfig(libsystemd) >= 227 pkgconfig(libtirpc)
BuildRequires:      pkgconfig bison flex
Provides:           conntrack = 1.0-1
Obsoletes:          conntrack < 1.0-1
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
The conntrack-tools are a set of free software userspace tools for Linux 
that allow system administrators interact with the Connection Tracking System, 
which is the module that provides stateful packet inspection for iptables. 
The conntrack-tools are the userspace daemon conntrackd and the command line 
interface conntrack.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --enable-systemd
%make_build
chmod 644 doc/sync/primary-backup.sh
rm -rf doc/sync/notrack/conntrackd.conf.orig doc/sync/alarm/conntrackd.conf.orig doc/helper/conntrackd.conf.orig


%install
%make_install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}/conntrackd
install -d -m 0755 -p %{buildroot}%{_unitdir}
install -m 0644 -p %{SOURCE3} %{buildroot}%{_unitdir}/
install -m 0644 -p %{SOURCE4} %{buildroot}%{_sysconfdir}/conntrackd/

%files
%dir %{_libdir}/conntrack-tools
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %{_sysconfdir}/conntrackd/conntrackd.conf
%{_unitdir}/conntrackd.service
%{_sbindir}/conntrack
%{_sbindir}/conntrackd
%{_sbindir}/nfct
%{_libdir}/conntrack-tools/*
%license COPYING
%doc AUTHORS TODO doc
%{_mandir}/man5/*
%{_mandir}/man8/*


%post
%systemd_post conntrackd.service

%preun
%systemd_preun conntrackd.service

%postun
%systemd_postun conntrackd.service

%changelog
* Fri Feb 28 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.4.8-1
- Update to 1.4.8-1 from 1.4.7-2
- Convert license to SPDX format

* Tue Apr 11 2023 chen_yu_ao <m15927509890@163.com> - 1.4.7-2
- change spec file format

* Wed Jan 4 2023 Funda Wang <fundawang@yeah.net> - 1.4.7-1
- New version 1.4.7

* Fri Mar 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.6-1
- init from usptream 1.4.6
